net.minecraft.util

## Class WeightedRandomChestContent

- java.lang.Object
- - net.minecraft.util.WeightedRandomItem
  - - net.minecraft.util.WeightedRandomChestContent

- Direct Known Subclasses:
    DungeonHooks.DungeonLoot

      public class WeightedRandomChestContent
      extends WeightedRandomItem

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ItemStack` | `theItemId` The Item/Block ID to generate in the Chest.
    `int` | `theMaximumChanceToGenerateItem` The maximum chance of item generating.
    `int` | `theMinimumChanceToGenerateItem` The minimum chance of item generating.

    - ### Fields inherited from class net.minecraft.util.WeightedRandomItem

      `itemWeight`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeightedRandomChestContent(int par1, int par2, int par3, int par4, int par5)`
    `WeightedRandomChestContent(ItemStack par1ItemStack, int par2, int par3, int par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WeightedRandomChestContent[]` | `func_92080_a(WeightedRandomChestContent[] par0ArrayOfWeightedRandomChestContent, WeightedRandomChestContent... par1ArrayOfWeightedRandomChestContent)`
    `static void` | `generateChestContents(Random par0Random, WeightedRandomChestContent[] par1ArrayOfWeightedRandomChestContent, TileEntityChest par2TileEntityChest, int par3)` Generates the Chest contents.
    `static void` | `generateDispenserContents(Random par0Random, WeightedRandomChestContent[] par1ArrayOfWeightedRandomChestContent, TileEntityDispenser par2TileEntityDispenser, int par3)` Generates the Dispenser contents.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### theItemId

          public ItemStack theItemId

      The Item/Block ID to generate in the Chest.

    - #### theMinimumChanceToGenerateItem

          public int theMinimumChanceToGenerateItem

      The minimum chance of item generating.

    - #### theMaximumChanceToGenerateItem

          public int theMaximumChanceToGenerateItem

      The maximum chance of item generating.

  - ### Constructor Detail

    - #### WeightedRandomChestContent

          public WeightedRandomChestContent(int par1,
                                    int par2,
                                    int par3,
                                    int par4,
                                    int par5)

    - #### WeightedRandomChestContent

          public WeightedRandomChestContent(ItemStack par1ItemStack,
                                    int par2,
                                    int par3,
                                    int par4)

  - ### Method Detail

    - #### generateChestContents

          public static void generateChestContents(Random par0Random,
                                   WeightedRandomChestContent[] par1ArrayOfWeightedRandomChestContent,
                                   TileEntityChest par2TileEntityChest,
                                   int par3)

      Generates the Chest contents.

    - #### generateDispenserContents

          public static void generateDispenserContents(Random par0Random,
                                       WeightedRandomChestContent[] par1ArrayOfWeightedRandomChestContent,
                                       TileEntityDispenser par2TileEntityDispenser,
                                       int par3)

      Generates the Dispenser contents.

    - #### func_92080_a

          public static WeightedRandomChestContent[] func_92080_a(WeightedRandomChestContent[] par0ArrayOfWeightedRandomChestContent,
                                                  WeightedRandomChestContent... par1ArrayOfWeightedRandomChestContent)